メインコンテンツへスキップ
POST
/
v3
/
enterprise
/
pr-reviews
Devin Review をトリガーする
curl --request POST \
  --url https://api.devin.ai/v3/enterprise/pr-reviews \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "pr_url": "<string>"
}
'
import requests

url = "https://api.devin.ai/v3/enterprise/pr-reviews"

payload = { "pr_url": "<string>" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: JSON.stringify({pr_url: '<string>'})
};

fetch('https://api.devin.ai/v3/enterprise/pr-reviews', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "commit_sha": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "pr_number": 123,
  "repo_path": "<string>"
}
{
  "detail": [
    {
      "loc": [
        "<string>"
      ],
      "msg": "<string>",
      "type": "<string>"
    }
  ]
}

権限

Enterprise レベルの UseReviewManual 権限を持つサービスユーザーが必要です。

承認

Authorization
string
header
必須

サービスユーザーの認証情報(接頭辞: cog_)

ボディ

application/json
pr_url
string
必須

レビュー対象の pull/merge request の完全な URL(例: https://github.com/owner/repo/pull/123)。

:

"https://github.com/owner/repo/pull/123"

レスポンス

成功レスポンス

commit_sha
string
必須

レビュー対象となる PR の HEAD コミットの SHA。

created_at
string<date-time>
必須

レビューが承認された日時。

pr_number
integer
必須

Pull/merge request 番号。

repo_path
string
必須

正規化された、ホスト接頭辞付きのリポジトリパス(例: github.com/owner/repo)。

status
enum<string>
必須

現在のレビュー状態。新たに承認されたレビューは pending で開始されます。

利用可能なオプション:
pending,
running,
completed,
errored,
cancelled